org.keycloak.services.resources

## Class SocialResource

- java.lang.Object
- - org.keycloak.services.resources.SocialResource

-     @Path(value="/social")
      public class SocialResource
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `callback(String encodedState)`
    `javax.ws.rs.core.Response` | `redirectToProviderAuth(String realmName, String providerId, String code)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.jboss.logging.Logger logger

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### session

          @Context
          protected KeycloakSession session

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

  - ### Constructor Detail

    - #### SocialResource

          public SocialResource()

  - ### Method Detail

    - #### callback

          @GET
          @Path(value="callback")
          public javax.ws.rs.core.Response callback(@QueryParam(value="state")
                                                    String encodedState)
                                             throws URISyntaxException,
                                                    IOException

      Throws:
        `URISyntaxException`
        `IOException`

    - #### redirectToProviderAuth

          @GET
          @Path(value="{realm}/login")
          public javax.ws.rs.core.Response redirectToProviderAuth(@PathParam(value="realm")
                                                                  String realmName,
                                                                  @QueryParam(value="provider_id")
                                                                  String providerId,
                                                                  @QueryParam(value="code")
                                                                  String code)

Copyright © 2015. All Rights Reserved.